
/* Glade Demo in C
 * prettified version of glade_demo.bac
 * mj, 2012/04/26
 */
 
#include "glade_demo.h"

void cb_Quit_App ( void ) {
	gtk_exit (0);
}

void cb_Print_Info( WIDGET button, WIDGET win ) {
	WIDGET entry = glade_xml_get_widget (win, "entry");
	puts (gtk_entry_get_text (entry));
}

void Load_Library_Functions( void ) {
	LoadLib(libGlade, "libglade-2.0.so");
	LoadFunc(libGlade, "glade_init", glade_init, char*);
	LoadFunc(libGlade, "glade_xml_new", glade_xml_new, long);
	LoadFunc(libGlade, "glade_xml_signal_autoconnect", glade_xml_signal_autoconnect, void);
	LoadFunc(libGlade, "glade_xml_get_widget", glade_xml_get_widget, long);

	LoadLib(libGobject, "libgobject-2.0.so");
	LoadFunc(libGobject, "g_signal_connect_data", g_signal_connect_data, void);

	LoadLib(libGtk, "libgtk-x11-2.0.so");
	LoadFunc(libGtk, "gtk_init", gtk_init, void);
	LoadFunc(libGtk, "gtk_entry_get_text", gtk_entry_get_text, char*);
	LoadFunc(libGtk, "gtk_exit", gtk_exit, void);
	LoadFunc(libGtk, "gtk_main", gtk_main, void);
}

int main( int argc, const char **argv ) {
	WIDGET win;

	Load_Library_Functions ();
	Start_Glade ();
	
	NewWindow (win, "./demo.glade");
	WidgetEvent (win, "window", "delete_event", cb_Quit_App);
	WidgetEvent (win, "exit_button", "clicked", cb_Quit_App);
	WidgetEvent (win, "print_button", "clicked", cb_Print_Info);
	
	Gtk_Event_Loop ();
}
